var Alexa = require('alexa-app')

var app = new Alexa.app('app') // eslint-disable-line

app.launch(function (request, response) {
  var launchOutput = 'Welcome to Your Skill.  The purpose of this skill is...  To start using the skill, say Alexa, ask ....'
  response.say(launchOutput)
  response.shouldEndSession(false)
})

app.intent('BosAccentInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'From the Kennedys to my Uncle Jim, you’ll hear that the Boston accent is real. ',
    'It’s not just in the movies, ask thah May-ah for a to-ah of the city. ',
    'While many people who are originally from Boston do speak with the famed Boston accent, Boston is a destination for people from all over the world. Approximately 28% of our population is foreign born.  In our neighborhoods, you can hear people speaking many different languages including Spanish, Portuguese, Vietnamese, Haitian Creole, Chinese Mandarin, and Italian. '
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosBikeInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are over 90 miles of bike lanes in Boston. The League of American Bicyclists has designated Boston a Silver-level bicycle friendly community, and the city will install 75 miles of new bike routes in the next five years.',
    'Take advantage of Boston’s 90 miles of bike lanes, even if you don’t own a bike. Take advantage of the Hubway bike share program with over 1,800 bikes at 185 stations across 4 municipalities.',
    'Get around Boston easier, ride a bike!  Between the T and your office, you can take advantage of the Hubway bike share program with over 1,800 bikes at 185 stations across 4 municipalities.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosBUBeachInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'You won’t find any sand on the BU beach, but if you lay on the grassy lawn, the passing cars on Storrow Drive sound like waves. ',
    'You can’t go swimming at BU Beach, but when it first gets warm, you can find sunbathing students stressed for final exams.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosCapeCodInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Cape Cod is only 54 miles or 55 minutes away from Boston.',
    'It will take less than an hour to get Down the Cape.',
    'Cape Cod is 54 miles or 55 minutes away from Boston. On summer Fridays, you can watch as people leave early to beat the traffic to get Down the Cape.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosCompanyInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston’s economy is booming! Key industries include education, healthcare and social assistance, financial and professional services, and the hospitality industries.',
    'Home to large firms in finance and insurance, Boston has also become a burgeoning tech hub for start-ups and innovation.',
    'Boston has added over 60,000 jobs to the local economy in the past four years. The number continues to grow!',
    'Innovation and revolution are in our blood.  Since the American Revolution, Boston has become a destination for revolutionary thinking.'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosCraftBeerInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston has a vibrant craft beer scene and there are over 140 breweries in Massachusetts, with more than a dozen planned to open before the end of 2017.',
    'You might think of Sam Adams when you think of beer in Boston, but the revolution is still occurring in Boston’s craft beer scene. There are over 140 breweries currently in Massachusetts.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosDiversityInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston is a majority-minority city.  Boston’s population is 44% white, 23% black, 19% Latino, and 9% Asian and Pacific Islander.',
    'Boston is an incredibly diverse and wecolming city.  Boston’s population is 44% white, 23% black, 19% Latino, and 9% Asian and Pacific Islander. Additionally, Boston has the highest percentage of young people of any of its peer cities. Residents aged 18 to 34 make up 38.9% of Boston’s total population.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosEmeraldNecklaceInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'While you can’t wear Boston’s Emerald necklace, it is the jewel in the Boston Park system. Stretching from Back Bay to Dorchester, the Emerald Necklace is a chain of green spaces looping around the City of Boston. Designed by Frederick Law Olmsted, the park connects the city’s residents and visitors with nature throughout the city.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosEnvironmentInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'It isn’t easy being green, but Boston is a leading city on environmental sustainability.  Boston’s Climate Action Plan sets aggressive carbon reduction targets to reduce greenhouse gas emissions by 25% by 2020 and 80% by 2050.',
    'The City of Boston is a member of the C40 Cities Climate Leadership Group, a consortium of the world’s great cities that are dedicated to fighting climate change. Mayor Walsh serves a leadership role as one of the North American representatives of the C40 Steering Committee.',
    'Boston is the first city in the nation to require a green building standard through municipal zoning requirements. The City requires that all large-scale projects meet the U.S. Green Building Councils LEED certification standards.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosFarmersMarketInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are over 30 farmers markets in Boston. ',
    'You can get local fruits and vegetables at more than 30 farmers markets in Boston.',
    'Even in the city of Boston, you can pick up fruits and vegetables from over 30 farmers markets in Boston.',
    'Not only is Boston home to more than 30 farmers markets, we also have a local food based food hall called the Boston Public Market and a few mobile trucks that sell fresh food.'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosFlightInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston Logan International Airport has 75 nonstop domestic flights and 54 non stop international routes.',
    'You can get around the world from Logan Airport.  There are over 75 nonstop domestic flights and 54 international flights that depart from Boston.',
    'Logan Airport is located less than 15 minutes from Downtown Boston.  From Logan, you can get to over 75 domestic or 54 international destinations on nonstop flights.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosFoodTrucksInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are over 70 food trucks serving Bostonians in over 20 locations throughout the City',
    'Boston has over 70 food trucks.  You can have anything from grilled cheese to vegan tacos from a truck--and many options representing the diversity of the population in Boston, from Indian and Mediterranean to Jamaican cuisine.',
    'You can find a food truck in over 20 locations throughout the city.'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosFortuneFiveHundredInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are 10 Fortune 500 companies in Boston and a total of 30 in Massachusetts.',
    'There are 10 Fortune 500 companies in Boston including: General Electric, Liberty Mutual, Eversource, American Tower, LPL Financial, Iron Mountain, Wayfair, and Boston Properties.',
    'There are 10 Fortune 500 companies in Boston.  Are you ready to join us?'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosFreedomTrailInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'The Freedom Trail is a route you can follow to view 16 historical sites from the American Revolution. You can join the 4 million annual visitors on a walking tour to see the burial site of Benjamin Franklin, the USS Constitution, and the site of the Boston Massacre.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosGraduatesInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    '49.8% of residents aged 25 and over have a Bachelor’s degree or higher.',
    'In 2016, there were 138,180 students enrolled in colleges and universities located in Boston.',
    'Massachusetts has the most educated workforce. In Boston, 49.8% of residents aged 25 and over have a Bachelor’s degree or higher.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosHospitals', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are 25 Boston-area hospitals and 20 community health centers.',
    'You’ll meet a lot of doctors in Boston, home to 25 Boston area hospitals and 20 community health centers.',
    'People come from all over the world to Boston for the best medical care and research at our 25 hospitals and community health centers.'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosHousingInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'While many cities are often defined by their skylines, Boston is distinguished by its proud, vibrant, and unique neighborhoods. Boston has 26 designated neighborhoods, each with its own individual flair and character.',
    'While the cost of housing in Boston can be a challenge, we are working to increase the housing stock of the city by 20%.  So far, we’ve seen a reduction in the average rents by 4%. ',
    'Mayor Walsh has a plan to build 53,000 units of housing by 2030.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosInnovationInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There is space for innovation throughout the whole City.',
    'Hmmm.  That’s going to take a while to count. Innovation is taking place in all of the Boston Public Schools, cafes across the city, board rooms, living rooms, and labs.',
    'Innovation is the heart of Boston.',
    'U.S. Chamber of Commerce recognized Boston as the #1 U.S. city for fostering entrepreneurial growth and innovation in 2017.',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosJamesBeard', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'There are 4 James Beard winners and 20 James Beard nominees who call Boston home.',
    'Boston has a nationally recognized dining scene--there are 4 restaurants who have won a James Beard award and 20 that have been nominees. ',
    'It’s not just wings and pizza in this college town.  Boston is home to 4 James Beard winners and 20 nominees.',
    'Come for the culture and innovation, stay for dinner. Boston is home to 4 James Beard winners and 20 nominees. '
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosPopulationInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    '673,000 and counting! Boston is expected to reach 700,000 by the year 2030.',
    'Greater Boston is home to 4.8 million people, making it the tenth largest Metropolitan Statistical Area in the country. ',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosSchools', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston has 125 public schools.',
    'There are 125 public schools in Boston. After high school, there are 33 local colleges and universities to choose from.'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('BosQBInfo', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Tom Brady',
    'Thomas Edward Patrick Brady Jr.',
    'Of course it is Tom Brady. We’re ready for the sixth ring!',
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})


app.intent('TechPool', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  let bostonResponses = [
    'Boston has a large pool of technical resources and is investing in training technical and creative workers.',
    'Boston has 35 universities in the area wth thousands of graduates every year'
  ]
  let bostonResponseIndex = Math.floor(Math.random() * bostonResponses.length)
  let bostonResponse = bostonResponses[bostonResponseIndex]

  response.say(bostonResponse).send()
})

app.intent('AMAZON.HelpIntent', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  var helpOutput = 'Welcome to Your Skill.  The purpose of this skill is...  To start using the skill, say Alexa, ask .... What would you like to do?'
  response.say(helpOutput)
  response.shouldEndSession(false)
})

app.intent('AMAZON.StopIntent', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  var stopOutput = 'Stopping your Request and Exiting Skill'
  response.say(stopOutput).send()
})

app.intent('AMAZON.CancelIntent', {
  'slots': {},
  'utterances': []
}, function (request, response) {
  var cancelOutput = 'Canceling your Request and Exiting Skill'
  response.say(cancelOutput).send()
})

module.exports = app
